
Core - Bug # 17666

Status: Closed Priority: Should have
Author: Hartmut Plehn Category:
Created: 2007-10-10 Assigned To:
Updated: 2013-05-05 Due date:
TYPO3 Version: 4.1
PHP Version: 5.1
Complexity:
Is Regression:
Sprint Focus:
Subject: be sessions time out before $TYPO3_CONF_VARS["BE"]["sessionTimeout"]
Description

We notice BE session timeouts. The timeouts occur after some time of inactivity (1-2 hours), that is shorter than the time defined in
$TYPO3_CONF_VARS["BE"]["sessionTimeout"]

Some debugging showed that t3lib_userAuth::gc() is called with different values of gc_time. gc_time (and auth_timeout_field)
sometimes have the value $TYPO3_CONF_VARS["BE"]["sessionTimeout"] and sometimes are 6000.

Probably there are t3lib_beUserAuth-Objects initialized (by extensions or cli-programs) that do not explicitly set auth_timeout as in
init.php. We are using simulatebe, which I suspect being the problem.

Changing auth_timeout_field from 6000 to the value of $TYPO3_CONF_VARS["BE"]["sessionTimeout"] in
t3lib/class.t3lib_beuserauth.php seems to fix the problem.

(issue imported from #M6493)

Related issues:
related to Core - Bug # 14836: Session-Lifetime for BE-User and FE-User doesn... Resolved 2005-06-22
related to Core - Bug # 17808: Ajax relogin won't relogin and ignores [BE][se... Closed 2010-06-01
related to Core - Bug # 21511: Lots of HTML, JS and/or CSS errors force IE8 t... Closed 2009-11-09
related to Core - Bug # 19153: Insonsistent description/initialisation of cla... Closed 2008-07-25

History
#1 - 2009-12-06 23:14 - Kurt Gusbeth

[BE][sessionTimeout] = 3600
Windows 7
Internet Explorer 8
Typo3 4.3.0
Working with tabs (Strg + T).

The "Typo3 login expiriation notice" appears not after one hour, it appears after a few minutes! This is a very annoying bug.
The "Stay logged in!" button doesn´t work! If I click at it, the window  "Typo3 login expiriation notice" appear again.
The "Refresh Login to TYPO3" occurs to fast. I can approve this only when I am working with tabs.

#2 - 2009-12-11 01:01 - Christian Kuhn

Probably related to #21511
#3 - 2010-05-11 16:45 - Chris topher

Kurt's problem might be a duplicate of #21511.

But the original report here surely is not (already because it was reported before IE8 was available).

#4 - 2010-07-21 11:22 - Kurt Gusbeth

Note to my report (0033499):
This problem is still not fixed in Typo3 4.4.0.
I have the same problem with:
- Windows XP
- Chrome browser 5.0
- Typo3 4.4.0
The "Typo3 login expiriation notice" appears when I am coming back to the backend from an other browser-tab.

#5 - 2011-03-16 10:28 - Rafal Likus

We have the same effect:
Windows XP/7
IE 8, Firefox 3.6.x
Typo3 4.4.2 and 4.4.4 PHP5.3 with wincache, memcached, IIS 6/7
Mostly on workstations of users without power user / administrator privileges in Windows.
With these effects too http://bugs.typo3.org/view.php?id=14979

#6 - 2012-09-16 13:34 - Felix Kopp
- Target version deleted (0)

Is this issue still valid since the bootstrapping was unified?

#7 - 2013-05-05 21:40 - Alexander Opitz
- Status changed from New to Closed

No response in over one month => closed.
